View Issue Details

IDProjectCategoryView StatusLast Update
13356Bug reports[All Projects] Survey takingpublic2018-03-05 17:30
ReporterRichieB Assigned Toollehar  
PrioritynoneSeveritycrash 
Status closedResolutionfixed 
Product Version3.1.x 
Target VersionFixed in Version3.4.x 
Summary13356: crash at optin + optout
Description

When selecting the optin and output link in the E-mail, LimeSurvey 3.2.0+180206 crashed with:

CException
Property "TemplateConfiguration.pstplPath" is not defined.

Steps To Reproduce
  1. Send out invitation E-mail
  2. Click on optin or optout link in E-mail
  3. Crash
Additional Information

Issue seems to be with the line

$thistpl = $oTemplate->pstplPath;

in application/controllers/OptinController.php (line 101) and application/controllers/OptoutController.php (line 224)

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.2.0+180206
I will donate to the project if issue is resolvedYes
Browser
Database & DB-Versionmysql 5.7.21-0ubuntu0.16.04.1
Server OS (if known)Ubuntu 16.04.1
Webserver software & version (if known)apache 2.4.18-2ubuntu3.5
PHP Version7.0.22-0ubuntu0.16.04.1

Activities

RichieB

RichieB

2018-02-15 23:55

reporter   ~46542

The problem persists with 3.3.1+180214

ollehar

ollehar

2018-02-27 14:24

administrator   ~46801

Please always attach a survey lss file with which to reproduce the issue.

ollehar

ollehar

2018-02-27 16:04

administrator   ~46808

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26611

Related Changesets

LimeSurvey: master d84b60c7

2018-02-27 15:50:50

ollehar

Details Diff
Fixed issue 13356: Crash at optin and optout Affected Issues
13356
mod - application/controllers/OptinController.php Diff File

LimeSurvey: master 5409f1f1

2018-02-27 15:54:43

ollehar

Details Diff
Fixed issue 13356: Crash at optin and optout Affected Issues
13356
add - themes/survey/vanilla/views/subviews/content/optin.twig Diff File

LimeSurvey: master 96d100f3

2018-02-27 16:04:04

ollehar

Details Diff
Fixed issue 13356: Crash at optin and optout Affected Issues
13356
mod - application/controllers/OptoutController.php Diff File
add - themes/survey/vanilla/views/subviews/content/optout.twig Diff File

Issue History

Date Modified Username Field Change
2018-02-14 22:05 RichieB New Issue
2018-02-15 23:55 RichieB Note Added: 46542
2018-02-21 17:42 c_schmitz Assigned To => LouisGac
2018-02-21 17:42 c_schmitz Status new => assigned
2018-02-27 14:20 ollehar Assigned To LouisGac => ollehar
2018-02-27 14:24 ollehar Note Added: 46801
2018-02-27 14:50 ollehar Status assigned => confirmed
2018-02-27 16:04 ollehar Changeset attached => LimeSurvey master d84b60c7
2018-02-27 16:04 ollehar Changeset attached => LimeSurvey master 5409f1f1
2018-02-27 16:04 ollehar Changeset attached => LimeSurvey master 96d100f3
2018-02-27 16:04 ollehar Note Added: 46808
2018-02-27 16:04 ollehar Resolution open => fixed
2018-02-27 16:08 ollehar Status confirmed => resolved
2018-02-27 16:08 ollehar Fixed in Version => 3.4.x
2018-03-05 17:30 ollehar Status resolved => closed